Bug 1640834 - nimble storage force detach support in redhat osp 13
Summary: nimble storage force detach support in redhat osp 13
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: z3
: 13.0 (Queens)
Assignee: Alan Bishop
QA Contact: Avi Avraham
Kim Nylander
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-18 21:32 UTC by Raunak Kumar
Modified: 2018-11-13 22:14 UTC (History)
4 users (show)

Fixed In Version: openstack-cinder-12.0.4-2.el7ost
Doc Type: Bug Fix
Doc Text:
The Block Storage service's Nimble backend driver did not support the forced detach functionality using empty connector information. The Nimble driver would fail when a forced detach was issued. The Nimble driver has been updated to support a forced detach with empty connector information. The driver properly supports the Block Storage service's forced detach API.
Clone Of:
Environment:
Last Closed: 2018-11-13 22:13:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3601 None None None 2018-11-13 22:14:24 UTC
OpenStack gerrit 608101 None stable/queens: MERGED cinder: nimble storage: support for force detach (I74a5b48c414db2b5b9e27d986d776d7c2ae3f383) 2018-10-24 18:42:04 UTC
Launchpad 1795070 None None None 2018-10-19 13:16:47 UTC

Description Raunak Kumar 2018-10-18 21:32:03 UTC
Pull the following upstream bug https://bugs.launchpad.net/cinder/+bug/1795070 in zstream of Redhat OSP 13 release

Comment 1 Alan Bishop 2018-10-19 13:22:25 UTC
The upstream patch on stable/queens just barely missed the 12.0.4 release, hence the downstream backport.

Comment 10 Tzach Shefi 2018-10-31 12:05:27 UTC
Set OtherQA, no access to such storage to verify.

Comment 12 errata-xmlrpc 2018-11-13 22:13:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3601


Note You need to log in before you can comment on or make changes to this bug.